Share via


Attached Networks - Get By Dev Center

Gets an attached NetworkConnection.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevCenter/devcenters/{devCenterName}/attachednetworks/{attachedNetworkConnectionName}?api-version=2024-02-01

URI Parameters

Name In Required Type Description
attachedNetworkConnectionName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9][a-zA-Z0-9-_.]{2,62}$

The name of the attached NetworkConnection.

devCenterName
path True

string

minLength: 3
maxLength: 26
pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]{2,25}$

The name of the devcenter.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AttachedNetworkConnection

OK. The request has succeeded.

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

AttachedNetworks_GetByDevCenter

Sample request

GET https://management.azure.com/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/devcenters/Contoso/attachednetworks/network-uswest3?api-version=2024-02-01

Sample response

{
  "id": "/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/devcenters/Contoso/attachednetworks/network-uswest3",
  "name": "network-uswest3",
  "type": "Microsoft.DevCenter/devcenters/attachednetworks",
  "properties": {
    "networkConnectionId": "/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/NetworkConnections/network-uswest3",
    "networkConnectionLocation": "centralus",
    "healthCheckStatus": "Healthy",
    "provisioningState": "Created"
  },
  "systemData": {
    "createdBy": "User1",
    "createdByType": "User",
    "createdAt": "2020-11-18T18:24:24.818Z",
    "lastModifiedBy": "User1",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-11-18T18:24:24.818Z"
  }
}

Definitions

Name Description
AttachedNetworkConnection

Represents an attached NetworkConnection.

createdByType

The type of identity that created the resource.

DomainJoinType

Active Directory join type

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

HealthCheckStatus

Health check status values

ProvisioningState

Provisioning state of the resource.

systemData

Metadata pertaining to creation and last modification of the resource.

AttachedNetworkConnection

Represents an attached NetworkConnection.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.domainJoinType

DomainJoinType

AAD Join type of the network. This is populated based on the referenced Network Connection.

properties.healthCheckStatus

HealthCheckStatus

Health check status values

properties.networkConnectionId

string

The resource ID of the NetworkConnection you want to attach.

properties.networkConnectionLocation

string

The geo-location where the NetworkConnection resource specified in 'networkConnectionResourceId' property lives.

properties.provisioningState

ProvisioningState

The provisioning state of the resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DomainJoinType

Active Directory join type

Value Description
HybridAzureADJoin
AzureADJoin

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

HealthCheckStatus

Health check status values

Value Description
Unknown
Pending
Running
Passed
Warning
Failed

ProvisioningState

Provisioning state of the resource.

Value Description
NotSpecified
Accepted
Running
Creating
Created
Updating
Updated
Deleting
Deleted
Succeeded
Failed
Canceled
MovingResources
TransientFailure
RolloutInProgress
StorageProvisioningFailed

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.